;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: emacs_tex.el,v 1.12 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Einstellungen fr den (La)TeX-Mode
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; AucTeX & preview <URL:http://www.gnu.org/software/auctex/>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "auctex")))
(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "auctex/preview")))
(add-to-list 'Info-default-directory-list 
	     (expand-file-name (concat zonix-elisp-dir "auctex/doc")))

(load "auctex.el" nil t t)
(load "preview-latex.el" nil t t)

(setq TeX-auto-save nil)
(setq TeX-auto-local nil)
(setq TeX-parse-self t)

;; dt. Anfhrungszeichen
(add-hook 'TeX-mode-hook
          (lambda ()
	    (TeX-run-style-hooks "german")
	    (setq TeX-open-quote "\"`")
	    (setq TeX-close-quote "\"'")))

;; TeX-Drucker
(setq TeX-printer-list (quote (("Local" "dvips -f %s | lpr" "lpq"))))

(defun zonix-TeX-mode-hook ()
  (setq ispell-parser 'tex)
  (setq ispell-check-comments nil)
  (local-set-key [f11] 'TeX-command-master)
  (local-set-key [f12] 'TeX-next-error))

(add-hook 'TeX-mode-hook 'zonix-TeX-mode-hook)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Ispell
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(add-hook 'TeX-language-de-hook
	  #'(lambda () 
	      (ispell-change-dictionary zonix-german-ispell-dictionary)))

(add-hook 'TeX-language-en-hook
	  #'(lambda () 
	      (ispell-change-dictionary "english")))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; RefTeX
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Holger Schauer in <whitlfb2wr.fsf@ipanema.coling.uni-freiburg.de>

(autoload 'reftex-mode "reftex" "RefTeX minor mode" t)
(autoload 'turn-on-reftex "reftex" "RefTeX Minor Mode" t)
(add-hook 'LaTeX-mode-hook 'turn-on-reftex)

(setq reftex-vref-is-default nil)

(setq reftex-toc-follow-mode t)
(setq reftex-extra-bindings t)
(setq reftex-enable-partial-scans t)
(setq reftex-save-parse-info t)
(setq reftex-use-multiple-selection-buffers t)
(setq reftex-plug-into-AUCTeX t)

