;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: gnus_internals.el,v 1.10 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Gnus-Interna
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Dateinamen
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; lange Dateinamen beim Speichern von Artikeln
(setq gnus-use-long-file-name t)

;; aber nicht fr Mail-Backends
(setq nnmail-use-long-file-names nil)

;; Unter diesem Verzeichnis legt Gnus seine Dateien an
;(setq gnus-home-directory "~/Gnus/")

;; Abspeichern von Artikeln
(setq gnus-default-article-saver 'gnus-summary-save-in-file)
(setq gnus-article-save-directory "~/News/")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Debugging
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Backtrace bei Fehlern ausgeben
;(setq debug-on-error t)

;; NNTP-Dialog mit Server im Buffer *nntp-log* mitloggen
;(setq nntp-record-commands t)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Visualisierung
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; alle Visualisierungen einschalten
(setq gnus-visual t)

;; Text-Button-Leiste, erleichtert den Einstieg in Gnus, ist aber
;; Geschmackssache
;(setq gnus-carpal t)

;; Jingle-Bells...
(setq gnus-play-startup-jingle t)
(setq gnus-startup-jingle
      "/usr/share/xemacs21/packages/etc/sounds/Tuxedomoon.Jingle4.au")

;; Drei-Fenster-Layout (a la Outlook etc.)

;; Torsten Hilbrich in <877ki0tynb.fsf@myrkr.in-berlin.de>
;; Drei-Fenster-Layout mit BBDB
(if  nil
    (gnus-add-configuration
     '(article
       (horizontal 1.0
		   (vertical 0.3 (group 1.0))
		   (vertical 1.0
			     (summary 0.28 point)
			     (article 1.0)
			     (if (bbdb/gnus-update-record) '("*BBDB*" 6))))))
  )


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; User-Agent in Emacs
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Mails auch aus anderen Emacs-Pakete (wie BBDB) immer mit Gnus
;; schreiben
(require 'gnus-msg)
(setq mail-user-agent 'gnus-user-agent)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Cache
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; ge"tick"te Artikel werden im Cache abgelegt
(setq gnus-use-cache t)

;; aber nicht lokal abgespeicherte Dinge, wie Mail
(setq gnus-uncacheable-groups "^nn\\(ml\\|imap\\|folder\\diary\\):")
