;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: gnus_mailcrypt.el,v 1.7 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MailCrypt (PGP/GPG)
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; MailCrypt                                    <http://mailcrypt.sf.net>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(add-to-list 'load-path (concat zonix-elisp-dir "mailcrypt"))

;; Laden
(load-library "mailcrypt.el")

;; PGP 5.0
;(mc-setversion "5.0")					

;; GPG
(mc-setversion "gpg")

;; Einbinden
(autoload 'mc-install-write-mode "mailcrypt" nil t)
(autoload 'mc-install-read-mode "mailcrypt" nil t)
(add-hook 'mail-mode-hook 'mc-install-write-mode)
(add-hook 'gnus-summary-mode-hook 'mc-install-read-mode)
(add-hook 'message-mode-hook 'mc-install-write-mode)
(add-hook 'news-reply-mode-hook 'mc-install-write-mode)
      
;; Artikel nach Decrpyt neu darstellen
(add-hook 'mc-post-decryption-hook 'gnus-article-prepare-display)
(add-hook 'mc-post-decryption-hook 'gnus-summary-toggle-header)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Einstellungen
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; auch immer fr mich encrypten
(setq mc-encrypt-for-me t)

;; Default-User-ID
(if (string-match "\\.zonix\\.de" system-name)
    (setq mc-gpg-user-id "F0311FD8"))

(if (string-match "\\.verified\\.de" system-name)
    (setq mc-gpg-user-id "5159191E"))

;; Passphrase sechs Minuten merken
(setq mc-passwd-timeout 240)

;; PGP-Key-Server
;(setq mc-pgp-keyserver-address "wwwkeys.nl.pgp.net")
;(setq mc-pgp-keyserver-port 11371)
;(setq mc-pgp-keyserver-url-template "/pks/lookup?op=get&search=%s")

(setq mc-pgp-keyserver-address "keyserver.pgp.com")
(setq mc-pgp-keyserver-port 80)
(setq mc-pgp-keyserver-url-template "/pks/lookup?op=get&search=%s")
